#include <iostream>
#include <algorithm> 

using namespace std;

int main ()
{
     long long n, q;
     cin >> n >> q;
     long long A[n], B[q];
     for (int i = 0; i < n; i++)
     {
          cin >> A[i];
     }

     for(int i = 0; i < q; i++)
     {
          cin >> B[i];
     }
     
     long long medi = n/2 + 1, mesto;
     bool tu;
     for(int i=0; i<q; i++)
     {
          
          tu = false;
          for(int j=0; j<n; j++)
          {
               if(B[i]==A[j]){tu=true; mesto=j+1;}
          }
          
          if(tu)
          {
               if(mesto==medi)
               {
                    cout<<0;
               }else if(mesto<medi)
               {
                    cout<<n+1-2*mesto;
               }else if(mesto>medi)
               {
                    cout<<2*mesto-n-2;
               }
          }else{
               int C[n+1];
               for(int j=0; j<n; j++)
               {
                    C[j]=A[j];
               }
               C[n] = B[i];
               int elements = sizeof(C) / sizeof(C[0]); 
               sort(C, C + elements);
               
               n++;
               for(int j=0; j<n; j++)
               {
                    if(B[i]==C[j]){mesto=j+1;}
               }
               
               medi = n/2 + 1;
               
               if(mesto==medi)
               {
                    cout<<0;
               }else if(mesto<medi)
               {
                    cout<<n+2-2*mesto;
               }else if(mesto>medi)
               {
                    cout<<2*mesto-n-1;
               }
          }
          cout<<endl;
          
     }
     
     return 0;
}